Package org.bukkit.event.inventory

# Enum Class InventoryType

java.lang.Object
java.lang.Enum<InventoryType>
org.bukkit.event.inventory.InventoryType

All Implemented Interfaces:
  `Serializable`, `Comparable<InventoryType>`, `Constable`

public enum InventoryType extends Enum<InventoryType>
Represents the different kinds of inventories available in Bukkit.
Only InventoryTypes marked `isCreatable()` can be created.
The current list of inventories that cannot be created via `Bukkit.createInventory(org.bukkit.inventory.InventoryHolder, org.bukkit.event.inventory.InventoryType)` are:

> `CREATIVE`, `CRAFTING` and `MERCHANT`

See `Bukkit.createInventory(org.bukkit.inventory.InventoryHolder, org.bukkit.event.inventory.InventoryType)` for more information.

See Also:
  - `Bukkit.createInventory(InventoryHolder, InventoryType)`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`InventoryType.SlotType`

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANVIL`
An anvil inventory, with 2 CRAFTING slots and 1 RESULT slot
`BARREL`
A barrel box inventory, with 27 slots of type CONTAINER.
`BEACON`
A beacon inventory, with 1 CRAFTING slot
`BLAST_FURNACE`
A blast furnace inventory, with a RESULT slot, a CRAFTING slot, and a FUEL slot.
`BREWING`
A brewing stand inventory, with one FUEL slot and four CRAFTING slots.
`CARTOGRAPHY`
Cartography inventory with 2 CRAFTING slots, and 1 RESULT slot.
`CHEST`
A chest inventory, with 0, 9, 18, 27, 36, 45, or 54 slots of type CONTAINER.
`COMPOSTER`
Pseudo composter inventory with 0 or 1 slots of undefined type.
`CRAFTING`
A player's crafting inventory, with 4 CRAFTING slots and a RESULT slot.
`CREATIVE`
The creative mode inventory, with only 9 QUICKBAR slots and nothing else.
`DISPENSER`
A dispenser inventory, with 9 slots of type CONTAINER.
`DROPPER`
A dropper inventory, with 9 slots of type CONTAINER.
`ENCHANTING`
An enchantment table inventory, with two CRAFTING slots and three enchanting buttons.
`ENDER_CHEST`
The ender chest inventory, with 27 slots.
`FURNACE`
A furnace inventory, with a RESULT slot, a CRAFTING slot, and a FUEL slot.
`GRINDSTONE`
Grindstone inventory with 2 CRAFTING slots, and 1 RESULT slot.
`HOPPER`
A hopper inventory, with 5 slots of type CONTAINER.
`LECTERN`
A lectern inventory, with 1 BOOK slot.
`LOOM`
Loom inventory, with 3 CRAFTING slots, and 1 RESULT slot.
`MERCHANT`
The merchant inventory, with 2 CRAFTING slots, and 1 RESULT slot.
`PLAYER`
A player's inventory, with 9 QUICKBAR slots, 27 CONTAINER slots, 4 ARMOR slots and 1 offhand slot.
`SHULKER_BOX`
A shulker box inventory, with 27 slots of type CONTAINER.
`SMITHING`
A smithing inventory, with 2 CRAFTING slots and 1 RESULT slot
`SMOKER`
A smoker inventory, with a RESULT slot, a CRAFTING slot, and a FUEL slot.
`STONECUTTER`
Stonecutter inventory with 1 CRAFTING slot, and 1 RESULT slot.
`WORKBENCH`
A workbench inventory, with 9 CRAFTING slots and a RESULT slot.

## Method Summary

Modifier and Type
Method
Description
`Component`
`defaultTitle()`
Gets the inventory's default title.
`int`
`getDefaultSize()`
`@NotNull String`
`getDefaultTitle()`
Deprecated.
`boolean`
`isCreatable()`
Denotes that this InventoryType can be created via the normal `Bukkit.createInventory(org.bukkit.inventory.InventoryHolder, org.bukkit.event.inventory.InventoryType)` methods.
`static InventoryType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InventoryType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CHEST

public static final InventoryType CHEST
A chest inventory, with 0, 9, 18, 27, 36, 45, or 54 slots of type CONTAINER.

### DISPENSER

public static final InventoryType DISPENSER
A dispenser inventory, with 9 slots of type CONTAINER.

### DROPPER

public static final InventoryType DROPPER
A dropper inventory, with 9 slots of type CONTAINER.

### FURNACE

public static final InventoryType FURNACE
A furnace inventory, with a RESULT slot, a CRAFTING slot, and a FUEL slot.

### WORKBENCH

public static final InventoryType WORKBENCH
A workbench inventory, with 9 CRAFTING slots and a RESULT slot.

### CRAFTING

public static final InventoryType CRAFTING
A player's crafting inventory, with 4 CRAFTING slots and a RESULT slot. Also implies that the 4 ARMOR slots are accessible.

### ENCHANTING

public static final InventoryType ENCHANTING
An enchantment table inventory, with two CRAFTING slots and three enchanting buttons.

### BREWING

public static final InventoryType BREWING
A brewing stand inventory, with one FUEL slot and four CRAFTING slots.

### PLAYER

public static final InventoryType PLAYER
A player's inventory, with 9 QUICKBAR slots, 27 CONTAINER slots, 4 ARMOR slots and 1 offhand slot. The ARMOR and offhand slots may not be visible to the player, though.

### CREATIVE

public static final InventoryType CREATIVE
The creative mode inventory, with only 9 QUICKBAR slots and nothing else. (The actual creative interface with the items is client-side and cannot be altered by the server.)

### MERCHANT

public static final InventoryType MERCHANT
The merchant inventory, with 2 CRAFTING slots, and 1 RESULT slot.

### ENDER_CHEST

public static final InventoryType ENDER_CHEST
The ender chest inventory, with 27 slots.

### ANVIL

public static final InventoryType ANVIL
An anvil inventory, with 2 CRAFTING slots and 1 RESULT slot

### SMITHING

public static final InventoryType SMITHING
A smithing inventory, with 2 CRAFTING slots and 1 RESULT slot

### BEACON

public static final InventoryType BEACON
A beacon inventory, with 1 CRAFTING slot

### HOPPER

public static final InventoryType HOPPER
A hopper inventory, with 5 slots of type CONTAINER.

### SHULKER_BOX

public static final InventoryType SHULKER_BOX
A shulker box inventory, with 27 slots of type CONTAINER.

### BARREL

public static final InventoryType BARREL
A barrel box inventory, with 27 slots of type CONTAINER.

### BLAST_FURNACE

public static final InventoryType BLAST_FURNACE
A blast furnace inventory, with a RESULT slot, a CRAFTING slot, and a FUEL slot.

### LECTERN

public static final InventoryType LECTERN
A lectern inventory, with 1 BOOK slot.

### SMOKER

public static final InventoryType SMOKER
A smoker inventory, with a RESULT slot, a CRAFTING slot, and a FUEL slot.

### LOOM

public static final InventoryType LOOM
Loom inventory, with 3 CRAFTING slots, and 1 RESULT slot.

### CARTOGRAPHY

public static final InventoryType CARTOGRAPHY
Cartography inventory with 2 CRAFTING slots, and 1 RESULT slot.

### GRINDSTONE

public static final InventoryType GRINDSTONE
Grindstone inventory with 2 CRAFTING slots, and 1 RESULT slot.

### STONECUTTER

public static final InventoryType STONECUTTER
Stonecutter inventory with 1 CRAFTING slot, and 1 RESULT slot.

### COMPOSTER

public static final InventoryType COMPOSTER
Pseudo composter inventory with 0 or 1 slots of undefined type.

## Method Details

### values

public static InventoryType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InventoryType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### defaultTitle

@NotNull public Component defaultTitle()
Gets the inventory's default title.

Returns:
  the inventory's default title

### getDefaultSize

public int getDefaultSize()

### getDefaultTitle

@NotNull @Deprecated public @NotNull String getDefaultTitle()
Deprecated.

### isCreatable

public boolean isCreatable()
Denotes that this InventoryType can be created via the normal `Bukkit.createInventory(org.bukkit.inventory.InventoryHolder, org.bukkit.event.inventory.InventoryType)` methods.

Returns:
  if this InventoryType can be created and shown to a player